/*Program to write the EEPROM memory of Tag
Based on project: 
http://puntoflotante.net/RFID-MF522-MFRC522-SPI-BLUETOOTH.htm
Please follow instructions:
Open library file MFRC522-RFID-SPI.h, and edit as follows:
This is an example to modify SECTOR 01:
1. Modify data as you wish (16 characters per line) 
and uncomment these 3 lines:
//SECTOR 01
  uchar data04[]="License permit:B";
  uchar data05[]="Penny Lane 63-C ";
  uchar data06[]="London 59032    ";

2. Also uncomment all these lines corresponding to sector 01:
status = MFRC522_Auth(0x60,4,sectorX_KeyA,serNum);	//sector 1
		if(status==MI_OK){   
			writeTagBlockData(4,data04);
			writeTagBlockData(5,data05);
			writeTagBlockData(6,data06);	}

3. You may only write on one sector at a time. If you
wish to change information in another sector, you
must repeat steps as stated in 1. and 2.

4. Compile program and load .hex file in Bolt board. Then you
may near tag to MF522 module to write the EEPROM memory. Wait for 
confirmation in your mobile phone. */

#include <p18cxxx.h>
#include <delays.h>
#include <stdio.h>		// sprintf() library
#include <stdlib.h>		// atoi(),atof() library 
#include "MFRC522-RFID-SPI.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

void main(void)					//select function to run, and comment the rest.
{
	//showSerialNumber();			//reads serial number and transmit to serial port
	//readDataHEX();				//reads all memory in tag (64 lines) and transmits to serial in hex
	//readDataASCII();			//reads all tag (64 lines) and transmits to serial in ASCII
	//clearTagsMemory();		//erases all tag memory
	writeTagBlockMemory();	//writes in tag memory, only may write 1 sector at a time. 
} 

